### Constructor

# Soup Logger new

#### Declaration [src]

    SoupLogger*
    soup_logger_new (
      SoupLoggerLogLevel level
    )

#### Description [src]

Creates a new `SoupLogger` with the given debug level.

If you need finer control over what message parts are and aren’t logged, use `soup_logger_set_request_filter()` and `soup_logger_set_response_filter()`.

#### Parameters

`level`

  Type: `SoupLoggerLogLevel`

  The debug level.

#### Return value

Type: `SoupLogger`

A new `SoupLogger`.

The caller of the function takes ownership of the data, and is responsible for freeing it.